Skip to main content
GET
Get a recording
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
required

API key. Refer to Authentication for more information.

Accept
enum<string>
default:application/json
required

Must be application/json.

Available options:
application/json

Path Parameters

id
string
required

The recording's id (UUID) or its public_link_id (the short code in the watch URL). Both are accepted.

Response

Successfully retrieved the recording.

id
string

Unique identifier for the recording.

title
string | null

Custom title set by the user.

default_title
string

Auto-generated title for the recording.

duration
number | null

Duration of the recording in seconds.

view_count
integer

Number of times the recording has been viewed.

is_uploaded
boolean

Whether the recording has been fully uploaded.

requested
boolean

Whether the recording was requested from someone.

summary
string | null

AI-generated summary of the recording.

Public link identifier used in the watch URL.

public_url
string | null

Public watch URL for the recording.

transcoded_url
string | null

CloudFront signed URL for the transcoded video.

thumbnail_url
string | null

URL for the recording thumbnail image.

user_name
string

Display name of the user who created the recording.

tags
object[]

Tags associated with the recording.

folder_name
string | null

Name of the folder containing the recording.

folder_id
string | null

Unique identifier of the folder containing the recording.

created_at
string<date-time>

Timestamp when the recording was created.

updated_at
string<date-time>

Timestamp when the recording was last updated.

uploaded_at
string<date-time> | null

Timestamp when the recording was uploaded.